cgGetTypeBase(3)

NAME
cgGetTypeBase - get the base type associated with a type enumerant

SYNOPSIS
  #include <Cg/cg.h>
  CGtype cgGetTypeBase( CGtype type );

PARAMETERS

type
    The type enumerant.

RETURN VALUES
Returns the scalar base type of the enumerant type.

DESCRIPTION
cgGetTypeBase returns the base (scalar) type associated with a type enumerant. For example, cgGetTypeBase(CG_FLOAT3x4) returns CG_FLOAT. The base type for a non-numeric type such as CG_STRING, CG_STRUCT, CG_SAMPLER2D, or user-defined types is simply the type itself.

EXAMPLES
to-be-written

ERRORS
None.

HISTORY
cgGetTypeBase was introduced in Cg 1.5.

SEE ALSO
the cgGetType manpage, the cgGetTypeClass manpage, the cgGetParameterType manpage